//
// Created by bastian on 29.03.22.
//

#ifndef BUILD_OFFSETPOSE_H
#define BUILD_OFFSETPOSE_H

#include <behaviortree_cpp_v3/action_node.h>
#include <geometry_msgs/msg/pose.hpp>
#include <rclcpp/rclcpp.hpp>
#include "../Area.h"

namespace BT {

    class OffsetPose : public SyncActionNode {
    public:
        OffsetPose(const std::string &name, const NodeConfiguration &config);

        static PortsList providedPorts();

        NodeStatus tick() override;
    };
}

#endif //BUILD_OFFSETPOSE_H
